#include <QtWidgets/QStatusBar>
#include <QtWidgets/qmessagebox.h>
#include <QtWidgets/qmenubar.h>
#include <QtWidgets/qapplication.h>
#include <qimage.h>
#include <qtimer.h>

#include "canvas.h"

#include <stdlib.h>
#include <TApplication.h>
#include <TSystem.h>

int main(int argc, char** argv)
{
    TApplication rootapp("Simple Qt ROOT Application", &argc, argv);
    QApplication app(argc,argv);
    QMainCanvas m(nullptr);

    m.resize(m.sizeHint());
    m.setWindowTitle("Qt Example - Canvas");
    m.setGeometry( 100, 100, 700, 500 );
    m.show();

    QObject::connect( qApp, SIGNAL(lastWindowClosed()), qApp, SLOT(quit()) );

    return app.exec();
}


